cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/item_fulfillments/ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9/notes" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--form-string 'note=<p>Left with reception.</p>' \
-F "file=@delivery-photo.jpg"from exsited import build_client
client = build_client()
response = client.item_fulfillments.create_item_fulfillment_note(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
"<p>Left with reception.</p>",
files={"file": open("delivery-photo.jpg", "rb")},
)
print(response.data)
import {readFileSync} from 'node:fs';
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.itemFulfillments.createItemFulfillmentNote(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
'<p>Left with reception.</p>',
{files: {file: ['delivery-photo.jpg', readFileSync('delivery-photo.jpg')]}},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->itemFulfillments->createItemFulfillmentNote(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
'<p>Left with reception.</p>',
['file' => ['delivery-photo.jpg', fopen('delivery-photo.jpg', 'r')]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.client.RequestOptions;
import com.exsited.resources.item_fulfillments.item_fulfillments_dto.ItemFulfillmentsDto.ItemFulfillmentNotes;
import java.nio.file.Path;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ItemFulfillmentNotes> response = client.itemFulfillments().createItemFulfillmentNote(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
"<p>Left with reception.</p>",
Map.of("file", Path.of("delivery-photo.jpg")),
RequestOptions.none());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ItemFulfillments.CreateItemFulfillmentNoteAsync(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
"<p>Left with reception.</p>",
new Dictionary<string, object?> { ["file"] = new object?[] { "delivery-photo.jpg", File.ReadAllBytes("delivery-photo.jpg") } });
Console.WriteLine(response.Json);
import 'dart:io';
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.itemFulfillments.createItemFulfillmentNote(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
'<p>Left with reception.</p>',
files: {
'file': [
'delivery-photo.jpg',
File('delivery-photo.jpg').readAsBytesSync(),
],
},
);
print(response.map);
import (
"context"
"fmt"
"log"
"os"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
file, err := os.ReadFile("delivery-photo.jpg")
if err != nil {
log.Fatal(err)
}
response, err := client.ItemFulfillments().CreateItemFulfillmentNote(context.Background(), "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", "<p>Left with reception.</p>", map[string]any{"file": []any{"delivery-photo.jpg", file}}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"href": "<string>",
"id": "<string>",
"item_fulfillment": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"object": "<string>"
}
}Item fulfillments
Create an item fulfillment note
Adds a note to a fulfillment, with optional files, and returns the note’s id.
POST
/
item_fulfillments
/
{fulfillment_id}
/
notes
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/item_fulfillments/ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9/notes" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--form-string 'note=<p>Left with reception.</p>' \
-F "file=@delivery-photo.jpg"from exsited import build_client
client = build_client()
response = client.item_fulfillments.create_item_fulfillment_note(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
"<p>Left with reception.</p>",
files={"file": open("delivery-photo.jpg", "rb")},
)
print(response.data)
import {readFileSync} from 'node:fs';
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.itemFulfillments.createItemFulfillmentNote(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
'<p>Left with reception.</p>',
{files: {file: ['delivery-photo.jpg', readFileSync('delivery-photo.jpg')]}},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->itemFulfillments->createItemFulfillmentNote(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
'<p>Left with reception.</p>',
['file' => ['delivery-photo.jpg', fopen('delivery-photo.jpg', 'r')]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.client.RequestOptions;
import com.exsited.resources.item_fulfillments.item_fulfillments_dto.ItemFulfillmentsDto.ItemFulfillmentNotes;
import java.nio.file.Path;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ItemFulfillmentNotes> response = client.itemFulfillments().createItemFulfillmentNote(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
"<p>Left with reception.</p>",
Map.of("file", Path.of("delivery-photo.jpg")),
RequestOptions.none());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ItemFulfillments.CreateItemFulfillmentNoteAsync(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
"<p>Left with reception.</p>",
new Dictionary<string, object?> { ["file"] = new object?[] { "delivery-photo.jpg", File.ReadAllBytes("delivery-photo.jpg") } });
Console.WriteLine(response.Json);
import 'dart:io';
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.itemFulfillments.createItemFulfillmentNote(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
'<p>Left with reception.</p>',
files: {
'file': [
'delivery-photo.jpg',
File('delivery-photo.jpg').readAsBytesSync(),
],
},
);
print(response.map);
import (
"context"
"fmt"
"log"
"os"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
file, err := os.ReadFile("delivery-photo.jpg")
if err != nil {
log.Fatal(err)
}
response, err := client.ItemFulfillments().CreateItemFulfillmentNote(context.Background(), "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", "<p>Left with reception.</p>", map[string]any{"file": []any{"delivery-photo.jpg", file}}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"href": "<string>",
"id": "<string>",
"item_fulfillment": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"object": "<string>"
}
}Send a multipart form with the text in the
note field and any files as extra parts. The note is stored on the fulfillment’s sale invoice, and the response gives its id under note.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The fulfillment's id, which starts with ifm_.
Body
multipart/form-data
Response
201 - application/json
The new note's id and links, under note.
Show child attributes
Show child attributes